-- LSP Server for LaTeX

local capabilities = require('cmp_nvim_lsp').update_capabilities(vim.lsp.protocol.make_client_capabilities())

require'lspconfig'.texlab.setup {
  capabilities = capabilities,
  on_attach = global_attach,
  settings = {
    texlab = {
      chktex = {
        onEdit = true,
        onOpenAndSave = true
      },
    }
  }
}
